Bug 321879 - DigiKam crash while viewing images
Summary: DigiKam crash while viewing images
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: DImg-Core (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-02 23:29 UTC by billrclarity
Modified: 2017-07-08 10:56 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description billrclarity 2013-07-02 23:29:48 UTC
Application: digikam (2.2.0)
KDE Platform Version: 4.7.2 (4.7.2) "release 5"
Qt Version: 4.7.4
Operating System: Linux 3.1.10-1.29-default x86_64
Distribution: "openSUSE 12.1 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
Viewing images in DigiKam.  I hit page down and the program crashed.  I had already stepped through several other images.  All pictures were in jpg format, and all files in the directory are jpg.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f821fb87800 (LWP 6979))]

Thread 12 (Thread 0x7f820190a700 (LWP 6980)):
#0  0x00007f82170d1e6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f821ad1e4bb in wait (time=18446744073709551615, this=0xe17950) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe177f8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000005d09d0 in ?? ()
#4  0x00007f821ad1e025 in QThreadPrivate::start (arg=0xd33660) at thread/qthread_unix.cpp:331
#5  0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f8201109700 (LWP 6981)):
#0  0x00007f82170d0014 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f82115d31c9 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f82115d4901 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f82115d4fa9 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f821ae2f586 in QEventDispatcherGlib::processEvents (this=0x7f81f40008e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f821ae03a32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f821ae03c2f in QEventLoop::exec (this=0x7f8201108d50, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f821ad1b5df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#8  0x00007f821ade6aff in QInotifyFileSystemWatcherEngine::run (this=0xe1af80) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f821ad1e025 in QThreadPrivate::start (arg=0xe1af80) at thread/qthread_unix.cpp:331
#10 0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f8200908700 (LWP 6983)):
#0  0x00007f82170d1e6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f821ad1e4bb in wait (time=18446744073709551615, this=0xee71b0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xed6478, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f821d43ed67 in ?? () from /usr/lib64/libdigikamcore.so.2
#4  0x00007f821ad1e025 in QThreadPrivate::start (arg=0xed6460) at thread/qthread_unix.cpp:331
#5  0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f81e8708700 (LWP 6984)):
#0  0x00007f82170d21eb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f820d7ea3b1 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f81e72cc700 (LWP 6985)):
#0  0x00007f82170d21eb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f820d7f5e59 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f820d7f73b2 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f81e6acb700 (LWP 6986)):
#0  0x00007f82170d21eb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f820d8031a9 in _x_demux_control_headers_done () from /usr/lib64/libxine.so.1
#2  0x00007f820d7e8744 in xine_open () from /usr/lib64/libxine.so.1
#3  0x00007f81f2a1f905 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#4  0x00007f81f2a21bf7 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#5  0x00007f8219f5bc34 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#6  0x00007f8219f60ac1 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#7  0x00007f821b855e36 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#8  0x00007f821ae0482c in QCoreApplication::notifyInternal (this=0x7fff5c85dc70, receiver=0x7f81dc001ca0, event=0x2d717d0) at kernel/qcoreapplication.cpp:787
#9  0x00007f821ae07c08 in sendEvent (event=0x2d717d0, receiver=0x7f81dc001ca0) at kernel/qcoreapplication.h:215
#10 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1b5bd30) at kernel/qcoreapplication.cpp:1428
#11 0x00007f821ae2f0c3 in sendPostedEvents () at kernel/qcoreapplication.h:220
#12 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#13 0x00007f82115d45dd in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#14 0x00007f82115d4dd8 in ?? () from /usr/lib64/libglib-2.0.so.0
#15 0x00007f82115d4fa9 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#16 0x00007f821ae2f51f in QEventDispatcherGlib::processEvents (this=0x7f81dc0008e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#17 0x00007f821ae03a32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#18 0x00007f821ae03c2f in QEventLoop::exec (this=0x7f81e6acad30, flags=...) at kernel/qeventloop.cpp:201
#19 0x00007f821ad1b5df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#20 0x00007f81f2a1b8c4 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#21 0x00007f821ad1e025 in QThreadPrivate::start (arg=0x2046970) at thread/qthread_unix.cpp:331
#22 0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#23 0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f81e60c4700 (LWP 6987)):
#0  0x00007f8219355ff3 in poll () from /lib64/libc.so.6
#1  0x00007f8218b5f20f in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f8218b5061c in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f8218b50c89 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f8218b50d40 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f8218b5f1bf in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f820f83e248 in ?? () from /usr/lib64/libpulsecommon-1.1.so
#7  0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f81e58c3700 (LWP 6988)):
#0  0x00007f82170d1e6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f820d7fb9a3 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f81a37fe700 (LWP 7341)):
[KCrash Handler]
#6  0x00007f821aa6d52b in QDBusAdaptorConnector::relaySlot (this=0x25c76a0, argv=0x7f81a37fdaa0) at qdbusabstractadaptor.cpp:270
#7  0x00007f821aa6d8c5 in QDBusAdaptorConnector::qt_metacall (this=0x25c76a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7f81a37fdaa0) at qdbusabstractadaptor.cpp:366
#8  0x00007f821ae175aa in QMetaObject::activate (sender=0x25c7360, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7f81a37fdaa0) at kernel/qobject.cpp:3287
#9  0x00007f821ae17a5f in QObject::destroyed (this=<optimized out>, _t1=0x25c7360) at .moc/release-shared/moc_qobject.cpp:149
#10 0x00007f821ae1b5f7 in QObject::~QObject (this=0x25c7360, __in_chrg=<optimized out>) at kernel/qobject.cpp:843
#11 0x00007f821c050f09 in KIO::Scheduler::~Scheduler() () from /usr/lib64/libkio.so.5
#12 0x00007f821c05bd3b in ?? () from /usr/lib64/libkio.so.5
#13 0x00007f821c0549c7 in ?? () from /usr/lib64/libkio.so.5
#14 0x00007f82192bb9a1 in __run_exit_handlers () from /lib64/libc.so.6
#15 0x00007f82192bba25 in exit () from /lib64/libc.so.6
#16 0x00007f8217fcc95c in ?? () from /usr/lib64/libjpeg.so.62
#17 0x00007f8217fc865d in ?? () from /usr/lib64/libjpeg.so.62
#18 0x00007f8217fc6102 in ?? () from /usr/lib64/libjpeg.so.62
#19 0x00007f8217fc13a7 in jpeg_consume_input () from /usr/lib64/libjpeg.so.62
#20 0x00007f8217fc163b in jpeg_read_header () from /usr/lib64/libjpeg.so.62
#21 0x00007f8199197272 in ?? () from /usr/lib64/xine/plugins/1.30/xineplug_decode_mjpeg.so
#22 0x00007f820d7f4300 in ?? () from /usr/lib64/libxine.so.1
#23 0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#24 0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f81a2ffd700 (LWP 7342)):
#0  0x00007f82170d1e6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f820d7edefb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f820d7f518d in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f81a27fc700 (LWP 7343)):
#0  0x00007f82170d1e6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f820d7fde7b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f82170cdf05 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f821935f10d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f821fb87800 (LWP 6979)):
#0  0x00007f82170d21eb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f821ad1d308 in thread_sleep (ti=0x7fff5c85d7a0) at thread/qthread_unix.cpp:493
#2  0x00007f821ad1d740 in QThread::msleep (msecs=<optimized out>) at thread/qthread_unix.cpp:519
#3  0x00007f81f2a34312 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#4  0x00007f81f2a34459 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#5  0x00007f821f301a57 in ?? () from /usr/lib64/libphonon.so.4
#6  0x00007f821f301be9 in ?? () from /usr/lib64/libphonon.so.4
#7  0x00007f82192bb9a1 in __run_exit_handlers () from /lib64/libc.so.6
#8  0x00007f82192bba25 in exit () from /lib64/libc.so.6
#9  0x00007f8219fc7d78 in ?? () from /usr/lib64/libQtGui.so.4
#10 0x00007f821b854118 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib64/libkdeui.so.5
#11 0x00007f821766a51e in _XIOError () from /usr/lib64/libX11.so.6
#12 0x00007f8217667e2d in _XEventsQueued () from /usr/lib64/libX11.so.6
#13 0x00007f821765881f in XEventsQueued () from /usr/lib64/libX11.so.6
#14 0x00007f8219ffee3c in ?? () from /usr/lib64/libQtGui.so.4
#15 0x00007f82115d42b4 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#16 0x00007f82115d4b02 in ?? () from /usr/lib64/libglib-2.0.so.0
#17 0x00007f82115d4fa9 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#18 0x00007f821ae2f51f in QEventDispatcherGlib::processEvents (this=0xb6fc40, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#19 0x00007f8219fff00e in ?? () from /usr/lib64/libQtGui.so.4
#20 0x00007f821ae03a32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#21 0x00007f821ae03c2f in QEventLoop::exec (this=0x7fff5c85daf0, flags=...) at kernel/qeventloop.cpp:201
#22 0x00007f821ae07df7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#23 0x000000000049407d in ?? ()
#24 0x00007f82192a523d in __libc_start_main () from /lib64/libc.so.6
#25 0x0000000000495855 in _start ()

Possible duplicates by query: bug 315489.

Reported using DrKonqi
Comment 1 Christoph Feck 2013-07-03 01:28:28 UTC
Your version of digikam is quite old, and no longer supported. Please update to digiKam 3.2.0.

Additionally, KDE 4.7 is no longer maintained. Please update to KDE 4.9.5 or KDE 4.10.5.
Comment 2 caulier.gilles 2017-07-08 10:56:08 UTC
This is a crash in KIO.
digiKam 5.x do not use KIO anymore. So this crash must not reappear.